# GuiLite - Lighter & freer
[中文](doc/README-cn.md)
- GuiLite has 6000 lines of C++ code, providing **UI framework for all platforms** for developers. Just like the pictures above, GuiLite can run on iOS, Android, GNU/Linux, Windows and macOS platforms.
- GuiLite is a embedded UI framework. It can work with Qt/MFC/UWP/XCode, which means you can get not only GuiLite features but also iOS/Android/macOS/Qt/MFC/UWP features.
- GuiLite can work with other languages(e.g. Swift, Java, C#).

## New feature: Self monitor
**Report build activities to cloud:**

![BuildInfo](doc/BuildInfo.png)

**Sync local data to cloud:**

![DataOnCloud](doc/data_on_cloud.png)

## Cross platform
Ran on macOS & iOS:

![macOS](doc/Mac.gif) ![iOS](doc/Ios.landscape.gif)

Ran on Android & GNU/Linux embedded (ARM):

![Android](doc/Android.gif) ![GNU/Linux embedded (ARM)](doc/Linux.gif)

Ran on Windows Mixed Reality & QQ developers' group:

![Win MR](doc/WinMR.gif) ![QQ group: 527251257](doc/qq.group.jpg)

## Quick Start
- Download GuiLite samples: `git clone https://github.com/idea4good/GuiLiteSamples.git`
- `cd GuiLiteSamples\HostMonitor`
- [Build and run on any platforms you like](https://github.com/idea4good/GuiLiteSamples/blob/master/HostMonitor/README.md)

## Documents
[Code walkthrough](doc/CodeWalkthough.md)

[How to build?](doc/HowToBuild.md)

[How to layout widgets?](doc/HowLayoutWork.md)

[How to dispatch messages?](doc/HowMessageWork.md)

## Video links
[GuiLite introduction](https://www.youtube.com/watch?v=grqXEz3bdC0)

[GuiLite office](https://v.youku.com/v_show/id_XMzYxNTE3MTI0MA)

## Sample code link
[GuiLite Samples](https://github.com/idea4good/GuiLiteSamples)

## Gitee link
[Link to Gitee in China](https://gitee.com/idea4good/GuiLite)
